/* HEADER */
header {
   align-items: center;
   text-align: center;
   background-color: #121212;
   height: auto;
   padding: 20px 10px;
}

.nombre {
   text-align: center;
   background-color: #121212;
}

.img-nombre {
   margin-top: 20px;
   width: 25%;
   height: auto;
   min-width: 300px;
   transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.img-nombre:hover {
   transform: scale(1.1);
   box-shadow: 0 6px 18px rgba(0, 0, 0, 0.3);
   cursor: pointer;
}

/* NAV */

.index {
   background-color: #121212;
   text-align: center;
   padding: 20px 0;
   display: flex;
   flex-direction: column;
   align-items: center;
   justify-content: center;
}

.index li {
   display: inline-block;
   margin: 10px 10px;
   padding: 10px 15px;
   font-size: x-large;
   color: white;
   position: relative;
   transition: color 0.3s ease;
}

.index li:not(.separador)::after {
   content: '';
   position: absolute;
   left: 0;
   bottom: 0;
   height: 2px;
   width: 0;
   background-color: #c32222;
   transition: width 0.3s;
}

.index li:hover::after {
   width: 100%;
}

.index a {
   color: white;
   text-decoration: none;
   padding: 5px 10px;
   transition: color 0.3s ease;
}

.index a:hover {
   color: #c32222;
}

.separador {
   display: block;
   font-weight: bolder;
   color: white;
   font-size: 30px;
   padding: 0 5px;
}

/* RESPONSIVE DESIGN */

@media (max-width: 768px) {
   .img-nombre {
      width: 50%;
   }

   .index li {
      display: block;
      margin: 10px auto;
      padding: 10px;
      font-size: 18px;
   }
   #menu-list .separador {
      display: none;
   }

}

@media (max-width: 480px) {
   .img-nombre {
      width: 70%;
   }

   .index {
      padding: 10px 0;
   }

   .index li {
      font-size: 16px;
   }
}

.menu-toggle {
   display: none;
   background: none;
   color: white;
   font-size: 32px;
   border: none;
   cursor: pointer;
   margin-bottom: 10px;
   text-align: center;
}

@media (max-width: 768px) {
   .menu-toggle {
      display: block;
   }


   .index ul {
      display: none;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      padding: 0;
      margin: 0 auto;
   }

   .index ul.active {
      display: flex;
   }

   .index li {
      display: block;
      margin: 10px 0;
      text-align: center;
   }

}


/* FOOTER */
.footer{
   background-color: #121212;
   height: 10%;
   padding-top: 2%;
   margin-bottom: 5%;
}
.footer-content{
   display: flex;
   flex-wrap: wrap;
   gap: 15%;
   justify-content: center;
   color: white;
   padding-left: 3%;
   padding-right: 3%;
   margin-top: 8%;
}
.footer-logo {
   width: 10%;
   margin-bottom: 5%;
}
.footer-logo img{
   min-width: 200px;
   height: auto;
}
.footer-index{
   line-height: 30px;
   width: 193px;
}
.footer-index a{
   width: 100%;
   text-align: center;
   text-decoration: none;
   color: white;
   font-size: 15px;
   margin-right: 12%;
   transition: color 0.3s;
}
.footer-index a:hover {
   color: #007BFF;
   font-size: 16px;
}
.footer-contact a{
   font-size: 24px;
    margin-right: 15px;
    color: #6d6d6d;
    text-decoration: none;
    transition: color 0.3s;
}
   .footer-contact a:hover {
      color: #007BFF;
   }
.footer-line{
   border: 1px solid gray;
   width: 80%;
   margin-top: 5%;
   margin-bottom: 1%;
   margin-left: auto;
   margin-right: auto;
}
.footer-legal{
   display: grid;
   grid-template-columns: 1fr 1fr;
   text-align: center;
   padding-top: 2%;
   padding-bottom: 2%;
   color: white;
}
.footer-legal a{
   text-decoration: none;
   color: #cecece;
   font-size: 15px;
   margin-right: 12%;
   transition: color 0.3s;
}
.footer-legal a:hover {
   color: #c32222;
}

@media (max-width: 768px) {
   .footer-content{
      flex-direction: column;
      align-items: center;
   }
   .footer-logo{
      width: 100%;
      text-align: center;
   }
   .footer-logo img{
      width: 200px;
   }
   .footer-index{
      width: 100%;
      text-align: center;
      padding-left: 3%;
   }
   .footer-contact {
      margin-top: 5%;
   }
   .footer-contact a{
      font-size: 20px;
   }
}